## Package org.apache.catalina.loader

Interface Summary
Reloader: Internal interface that `ClassLoader` implementations may optionally implement to support the auto-reload functionality of the classloader associated with the context.
StandardClassLoaderMBean: MBean interface for StandardClassLoader, to allow JMX remote management.

Class Summary
Constants
ResourceEntry: Resource entry.
StandardClassLoader: Subclass implementation of java.net.URLClassLoader.
VirtualWebappLoader: Simple webapp classloader that allows a customized classpath to be added through configuration in context xml.
WebappClassLoader: Specialized web application class loader.
WebappLoader: Classloader implementation which is specialized for handling web applications in the most efficient way, while being Catalina aware (all accesses to resources are made through the DirContext interface).

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.